Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.crosstabs.fill.calculation
Class CrosstabCell

    java.lang.Object
      net.sf.jasperreports.crosstabs.fill.calculation.CrosstabCell

    public class CrosstabCell

extends java.lang.Object

Crosstab cell produced by the crosstab bucketing engine.

Version:
  $Id: CrosstabCell.java 3032 2009-08-27 11:32:28Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`CrosstabCell(BucketDefinition.Bucket[] rowBucketValues, BucketDefinition.Bucket[] columnBucketValues, MeasureDefinition.MeasureValue[] mesureValues, MeasureDefinition.MeasureValue[][][] totals)` Create a crosstab cell.

Method Summary
`BucketDefinition.Bucket[]` | `getColumnBucketValues()` Returns the column bucket values corresponding to this cell.
`int` | `getColumnTotalGroupIndex()` Returns the index of the column total bucket this cell corresponds to.
`MeasureDefinition.MeasureValue[]` | `getMesureValues()` Returns the measure values for this cell.
`BucketDefinition.Bucket[]` | `getRowBucketValues()` Returns the row bucket values corresponding to this cell.
`int` | `getRowTotalGroupIndex()` Returns the index of the row total bucket this cell corresponds to.
`MeasureDefinition.MeasureValue[][][]` | `getTotals()` Returns measure totals corresponding to the cell.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CrosstabCell

    public CrosstabCell(BucketDefinition.Bucket[] rowBucketValues,
                        BucketDefinition.Bucket[] columnBucketValues,
                        MeasureDefinition.MeasureValue[] mesureValues,
                        MeasureDefinition.MeasureValue[][][] totals)

  Create a crosstab cell.

  Parameters:
    `rowBucketValues` - the row bucket values corresponding to the cell
    `columnBucketValues` - the column bucket values corresponding to the cell
    `mesureValues` - the measure values
    `totals` - totals corresponding to the cell

Method Detail

### getMesureValues

    public MeasureDefinition.MeasureValue[] getMesureValues()

  Returns the measure values for this cell.

  Returns:
    the measure values for this cell

### getColumnBucketValues

    public BucketDefinition.Bucket[] getColumnBucketValues()

  Returns the column bucket values corresponding to this cell.

  Returns:
    the column bucket values corresponding to this cell

### getRowBucketValues

    public BucketDefinition.Bucket[] getRowBucketValues()

  Returns the row bucket values corresponding to this cell.

  Returns:
    the row bucket values corresponding to this cell

### getColumnTotalGroupIndex

    public int getColumnTotalGroupIndex()

  Returns the index of the column total bucket this cell corresponds to.

  If this cell corresponds to a column total bucket, this method returns the index of the bucket. Otherwise it returns the number of column buckets.

  Returns:
    the index of the column total bucket this cell corresponds to

### getRowTotalGroupIndex

    public int getRowTotalGroupIndex()

  Returns the index of the row total bucket this cell corresponds to.

  If this cell corresponds to a row total bucket, this method returns the index of the bucket. Otherwise it returns the number of row buckets.

  Returns:
    the index of the row total bucket this cell corresponds to

### getTotals

    public MeasureDefinition.MeasureValue[][][] getTotals()

  Returns measure totals corresponding to the cell.

  Returns:
    measure totals corresponding to the cell

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com